diff a/test/jdk/java/lang/invoke/VarHandles/VarHandleBaseTest.java b/test/jdk/java/lang/invoke/VarHandles/VarHandleBaseTest.java
--- a/test/jdk/java/lang/invoke/VarHandles/VarHandleBaseTest.java
+++ b/test/jdk/java/lang/invoke/VarHandles/VarHandleBaseTest.java
@@ -442,10 +442,14 @@
 
         @Override
         VarHandle get() {
             return vh;
         }
+
+        public String toString() {
+            return super.toString() + ", vh:" + vh;
+        }
     }
 
     static class MethodHandleAccessTestCase extends AccessTestCase<Handles> {
         final VarHandle vh;
         final VarHandleToMethodHandle f;
@@ -462,10 +466,14 @@
 
         @Override
         Handles get() throws Exception {
             return new Handles(vh, f);
         }
+
+        public String toString() {
+            return super.toString() + ", vh:" + vh + ", f: " + f;
+        }
     }
 
     static void testTypes(VarHandle vh) {
         List<Class<?>> pts = vh.coordinateTypes();
 
